Xref: alice comp.databases.oracle.server:46080
Path: alice!news-feed.fnsi.net!netnews.com!newsswitch.lcs.mit.edu!newsfeed.cwix.com!204.127.161.3!wn3feed!worldnet.att.net!wnmaster1!not-for-mail
From: "jhy" <jhy@earthling.net>
Newsgroups: comp.databases.oracle.server
Subject: Re: Q: EXP from AIX and IMP in HP possible?
Date: Thu, 15 Apr 1999 16:40:37 -0400
Organization: IGX Consulting, Inc.
Lines: 97
Message-ID: <7f5isf$7ol$1@bgtnsc03.worldnet.att.net>
References: <3711C146.59AC1CE@bci.ch> <3711E049.9642E443@access.net.au> <7etqkd$c6v$1@news.gte.com> <371512B6.BCF16965@toneline.n-o-s-p-a-m.demon.co.uk>
X-Trace: bgtnsc03.worldnet.att.net 924208847 7957 12.75.67.25 (15 Apr 1999 20:40:47 GMT)
X-Complaints-To: abuse@worldnet.att.net
NNTP-Posting-Date: 15 Apr 1999 20:40:47 GMT
X-Newsreader: Microsoft Outlook Express 4.72.3110.1
X-MimeOLE: Produced By Microsoft MimeOLE V4.72.3110.3

Should work fine.  The export files are pretty much platform independent.
I've exported from HP/UX and Sun Oracle servers and imported into NT and
vice-versa.  No problem as long as the source DB is at the same or an
earlier version of Oracle.

That said, there are some things to look out for when importing a full
database export.  A Full import will try to create any tablespaces that
don't already exist and it will try to use the file specifications for the
original datafiles.  When moving from one server to another (same or
different OS) this could be a problem.  Bottomline: create all the
tablespaces you're going to need before importing.

One more thing.  An export file contains binary data.  When you FTP an
export file from one system to another make sure you use a binary or image
mode transfer.  Text or ASCII mode will corrupt the file.

Good Luck

- jhy

Steve Phelan wrote in message
<371512B6.BCF16965@toneline.n-o-s-p-a-m.demon.co.uk>...
>Hmm.. I too have done this on the *same* platform, but I have my doubts
between
>platforms, and I've never heard Oracle say anything like this is supported.
>Still, anyone tried it? Does it actually work?
>
>Steve Phelan.
>
>Kevin Brand wrote:
>
>> Actually, you can copy the datafiles themselves from one platform to
>> another, skipping any local LVM headers.  Use dd for raw on UNIX or just
>> copy the files from the filesystem.
>>
>> Once you have all the files in the proper place, including copies of the
>> controlfiles and redo logs, and assuming that you don't want to change
file
>> names or path names, its just like starting up after a cold backup.
>>
>> I use something like this from AIX to AIX, but it should also work from
HP
>> to AIX or vice-versa ( adjusting for the differing LVM methodologies from
>> one to the other ).
>>
>> On the host where you want to create the copy database, execute:
>>
>> remsh host_where_db_lives 'dd if=/dev/raw_device bs=8192000 | gzip -5' |
>> gzip -d |dd of=/dev/my_new_logical_device bs=8192000
>>
>> note: the quotes above are very important.
>>
>> This assumes you are trusted as oracle between these two hosts and that
you
>> have a sub 100Mbs LAN or are sending across a WAN.  Otherwise, you may
not
>> want to filter everything through gzip.
>>
>> Be very careful with this because you can easily wipe out your "good"
>> database.  In fact, I wouldn't recommend doing this at all.  You should
go
>> ahead and use exp/imp, as this is much easier.
>>
>> -Kevin
>>
>> --
>>
>> remove the x for an email reply
>> katincic@access.net.au wrote in message
<3711E049.9642E443@access.net.au>...
>> >Hi Stefano,
>> >
>> >it is possible and it is the only way to transfer database from one
>> platform to
>> >another
>> >(I mean Exp/Imp). Just be sure to ftp the dump file (from one machine to
>> >another)
>> >in binary mode.
>> >Cheers,
>> >
>> >Maya
>> >
>> >Stefano Unternaehrer wrote:
>> >
>> >> Hi all.
>> >> Is it possible to export a schema from a Oracle Database
>> >> running on an AIX server and import the file on HP-UX,
>> >> where the same Oracle RDBMS version is running?
>> >> Something to do or to take care?
>> >>
>> >> PLEASE: also send me your reply as message.
>> >> Thank you!
>> >> Stefano
>> >
>


